> ## Documentation Index
> Fetch the complete documentation index at: https://docs.energy.nayax.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a project station

> This endpoint creates a project station.



## OpenAPI

````yaml /api/specs/projects-api.json post /projects/v1/stations
openapi: 3.0.0
info:
  title: Lynkwell API
  version: 1.376.0
  description: API Documentation for projects service
servers:
  - url: https://api.lynkwell.com
security: []
tags: []
paths:
  /projects/v1/stations:
    post:
      tags:
        - Project Stations
      summary: Create a project station
      description: This endpoint creates a project station.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateProjectStationParams'
      responses:
        '200':
          description: Ok response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/ProjectStationSchema'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectBadRequestError'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectInternalError'
      security:
        - oauth2:
            - write:project_stations
components:
  schemas:
    CreateProjectStationParams:
      type: object
      required:
        - networkId
        - serialNumber
        - vendor
        - model
      properties:
        networkId:
          type: string
          minLength: 1
        serialNumber:
          type: string
          minLength: 1
          maxLength: 48
        shortCode:
          type: string
          minLength: 4
          maxLength: 4
          pattern: ^[A-Z0-9]{4}$
          description: Must be a 4-character alphanumeric string
        iccid:
          type: string
          pattern: ^\d{18,20}$
          description: Must be an 18-20 digit string
        vendor:
          type: string
          minLength: 1
          maxLength: 50
        model:
          type: string
          minLength: 1
          maxLength: 50
    ProjectStationSchema:
      type: object
      properties:
        id:
          type: string
          description: The unique identifier for the station
        networkId:
          type: string
          description: The network ID associated with the station
        projectId:
          type: string
          description: The project ID associated with the station
          nullable: true
        liveSystemId:
          type: string
          description: The live system ID associated with the station
        serialNumber:
          type: string
          description: The serial number of the station
        vendor:
          type: string
          description: The vendor of the station
        model:
          type: string
          description: The model of the station
        iccid:
          type: string
          description: The Integrated Circuit Card Identifier (ICCID) of the station
          nullable: true
        shortCode:
          type: string
          description: The short code associated with the station
          nullable: true
        sortOrder:
          type: number
          description: The sort order of the station in the system
          nullable: true
        rateId:
          type: string
          description: The rate identifier for the station
          nullable: true
        directionalHint:
          type: string
          description: The directional hint for the station
          nullable: true
        modelTemplateId:
          type: string
          description: The template model ID for the station
        imageUrl:
          type: string
          description: The image URL of the station
          nullable: true
        connection:
          type: object
          properties:
            connectionId:
              type: string
              description: The unique identifier for the station connection
            status:
              type: string
              description: The current connection status of the station
            timestamp:
              type: string
              format: date-time
              description: The timestamp when the connection status was last updated
          required:
            - status
            - timestamp
        createdAt:
          type: string
          format: date-time
          description: The date and time when the station was created
        updatedAt:
          type: string
          format: date-time
          description: The date and time when the station was last updated
      required:
        - id
        - networkId
        - serialNumber
        - vendor
        - model
        - modelTemplateId
        - connection
        - createdAt
        - updatedAt
    ProjectBadRequestError:
      type: object
      description: The response body for a 400 request
      properties:
        type:
          type: string
          enum:
            - BAD_REQUEST
        code:
          type: string
          enum:
            - NETWORK_NOT_ENROLLED
            - INVALID_REQUEST_PARAMETERS
            - UNSUPPORTED_VENDOR_MODEL
            - DUPLICATE_SERIAL_NUMBER
            - DUPLICATE_SHORT_CODE
            - DUPLICATE_ICCID
            - INVALID_STATION_IDS
            - PROJECT_SITE_HOST_ALREADY_EXISTS
            - PROJECT_LOCATION_ALREADY_EXISTS
            - NO_PROJECT_ON_STATION
            - EXISTING_PROJECT_ON_STATION
            - CONFLICTING_PROJECT_ON_STATION
            - INVALID_OPERATION
            - STATION_PROJECT_EXIST
            - NO_SITE_PARTNER_USER_EMAIL_ERROR
            - STATION_NOT_CONNECTED
            - INVALID_PROJECT_STATUS
        message:
          type: string
    ProjectInternalError:
      type: object
      description: The response body for a 500 request
      properties:
        type:
          type: string
          enum:
            - INTERNAL_ERROR
        code:
          type: string
          enum:
            - INTERNAL_SERVER_ERROR
        message:
          type: string
  securitySchemes:
    oauth2:
      type: oauth2
      description: OAuth2 Client Credentials Flow
      flows:
        clientCredentials:
          tokenUrl: https://lynkwell-prod.us.auth0.com/oauth/token
          scopes:
            read:asset: Retrieve assets
            write:asset: Create and update assets
            read:assetgroup: Retrieve asset groups
            write:assetgroup: Create and update asset groups
            read:assetstatus: Retrieve asset statuses
            read:chargingstationmodel: Retrieve charging station models
            write:chargingstationmodel: Create and update charging station models
            write:network: Create and update networks
            write:sitepartner: Create and update site partners
            read:sitepartner: Retrieve site partners
            write:sitepartneruser: Create and update site partner users
            read:sitepartneruser: Retrieve site partner users
            read:networkaccessprofile: Retrieve network access profiles
            write:paymentprofile: Create payment profile
            write:onboardinglink: Create an onboarding link
            read:invoice: Retrieve an invoice
            write:session: Create or update a session
            read:session: Retrieve a session
            write:ticket: Create a ticket
            write:verificationcode: Send and confirm verification codes
            write:driver: Create and update drivers
            read:driver: Retrieve drivers
            write:token: Create and update tokens
            read:token: Retrieve tokens
            read:tokenvalue: Retrieve token by ID including its value
            write:invitecode: Create and update invite codes
            write:invitation: Create and update invitations
            read:invitation: Retrieve invitations
            read:payment_terminals_payment: Read payments from payment terminal
            abort:session: Abruptly end session
            read:paymentprofile: Retrieve payment profile from payment terminal
            write:ocpp: Sends request over OCPP
            write:ocpp.raw_request: Sends raw request over OCPP
            write:notification.email: Create and update email
            read:invoiceitem: Retrieve invoice item
            read:subscription: Retrieve subscription
            write:plugandcharge_enrollment: Update Plug and Charge enrollment status
            write:projects: Create and update projects
            read:projects: Retrieve projects
            write:project_stations: Create and update project stations
            write:panel: Create and update panels.
            read:panel: Retrieve panels.
            write:webhooks: Create, update, and delete webhooks
            read:webhooks: Retrieve webhooks

````